<?
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {

  header('location: /');
    
exit;

}

if($user['save'] == 1) {

  header('location: /');
  exit;

}

$title = 'Сохранение';    

include './system/h.php';  

   $login = _string($_POST['login']);
$password = _string($_POST['password']);
$sex=_string($_POST['sex']);
$r=_string($_POST['r']);
$pass = _string($_POST['kode']);

if($login && $password) {
  
  if(!preg_match('/[a-z0-9а-я]{2,20}/i', $login)) $errors = 'Ошибка, имя персонажа введено не верно';
  if(!preg_match('/[a-z0-9]{2,20}/i', $password)) $errors = 'Ошибка, пароль введен неверно';
  if(strlen($login)<2 OR strlen($login)>20)$errors='Ошибка, длина логина 2-20 символов';
  if(strlen($pass)<5 OR strlen($pass)>35)$errors='Ошибка, длина email 5-15 символов!';
  if(mysql_result(mysql_query('SELECT COUNT(*) FROM `users` WHERE `login` = \''.$login.'\''),0) != 0) $errors = 'Ошибка, выбранное имя персонажа уже занято';  
  
  if($errors) {

        echo '<div class=\'content\' align=\'center\'>';
        
        
          
          echo $errors.'<br/>';
          
        
      
        echo '</div>
<div class=\'line\'></div>';

  }
  else
  {
  
    mysql_query('UPDATE `users` SET `login` = \''.$login.'\', 
                                 `password` = \''.$password.'\',
                                 `kode` = \''.$pass.'\',  
                                     `save` = \'1\',
                                     `r`=\''.$r.'\',
                                     `sex`=\''.$sex.'\',
                                     `g` = `g` + 100000 WHERE `id` = \''.$user['id'].'\'');

    setCookie('password', $password, time() + 86400, '/');
  
    header('location: /');
  
  }
  
}

echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <font color=\'#90c090\'>За регистрацию вы получите <img src=\'/images/icon/gold.png\' alt=\'*\'/> 100000 золота</font>
</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <form action=\'/save/\' method=\'post\'>
  Имя пользователя:<br/>
  <input name=\'login\' value=\''.$login.'\' style="width: 90%;" placeholder="Ник должен быть в пределах от 2 до 20 символов"/><br/>
  Пароль:<br/>
  <input name=\'password\' value=\''.$password.'\' style="width: 90%;" placeholder="Пароль должен быть в пределах от 5 до 20 символов"/><br/>
  Email:<br/>
  <input name=\'kode\' value=\''.$pass.'\' style="width: 90%;" placeholder="Пример: qwerty@mail.ru"/><br/>';
?>
Пол:<br/>
  <select name ='sex'>
    <option value='0'>Мужской</option>
    <option value='1'>Женский</option>
  </select><br/>
  Сторона:<br/>
   <select name ='r'>
    <option value='0'>Асура</option>
    <option value='1'>Борея</option>
  </select><br/>

<?

  echo '
  <input type=\'submit\' value=\'Сохранить\'/>
</form>
</div>
<div class=\'line\'></div>
<div class=\'list\'>
  <li class=\'no_b\'><a href=\'/?exit\'><img src=\'/images/icon/section.png\' alt=\'*\'/> <font color=\'#909090\'>Выйти из игры</font></a></li>
</div>';
  
include './system/f.php';

?>